EclipseWtp (Gradle API 8.11.1)

Package org.gradle.plugins.ide.eclipse.model

## Class EclipseWtp

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.EclipseWtp

-     public abstract class EclipseWtp
      extends java.lang.Object

  Enables fine-tuning wtp/wst details of the Eclipse plugin

  For projects applying the eclipse plugin and either one of the ear or war plugins, this plugin is auto-applied.

  More interesting examples you will find in docs for `EclipseWtpComponent` and `EclipseWtpFacet`

       plugins {
           id 'war' // or 'ear' or 'java'
           id 'eclipse-wtp'
       }

       eclipse {

         //if you want parts of paths in resulting file(s) to be replaced by variables (files):
         pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

         wtp {
           component {
             //for examples see docs for EclipseWtpComponent
           }

           facet {
             //for examples see docs for EclipseWtpFacet
           }
         }
       }

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EclipseWtp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `component​(Closure action)` | Configures wtp component.
    `void` | `component​(Action<? super EclipseWtpComponent> action)` | Configures wtp component.
    `void` | `facet​(Closure action)` | Configures wtp facet.
    `void` | `facet​(Action<? super EclipseWtpFacet> action)` | Configures wtp facet.
    `EclipseWtpComponent` | `getComponent()` | Configures wtp component.
    `EclipseWtpFacet` | `getFacet()` | Configures wtp facet.
    `protected ObjectFactory` | `getObjectFactory()` | Injects and returns an instance of `ObjectFactory`.
    `void` | `setComponent​(EclipseWtpComponent component)` |
    `void` | `setFacet​(EclipseWtpFacet facet)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EclipseWtp

          public EclipseWtp()

  - ### Method Detail

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

      Injects and returns an instance of `ObjectFactory`.
      Since:
        4.9

    - #### getComponent

          public EclipseWtpComponent getComponent()

      Configures wtp component.

      For examples see docs for `EclipseWtpComponent`

    - #### setComponent

          public void setComponent​(EclipseWtpComponent component)

    - #### component

          public void component​(@DelegatesTo(EclipseWtpComponent.class)
                                Closure action)

      Configures wtp component.

      For examples see docs for `EclipseWtpComponent`

    - #### component

          public void component​(Action<? super EclipseWtpComponent> action)

      Configures wtp component.

      For examples see docs for `EclipseWtpComponent`

      Since:
        3.5

    - #### getFacet

          public EclipseWtpFacet getFacet()

      Configures wtp facet.

      For examples see docs for `EclipseWtpFacet`

    - #### setFacet

          public void setFacet​(EclipseWtpFacet facet)

    - #### facet

          public void facet​(@DelegatesTo(EclipseWtpFacet.class)
                            Closure action)

      Configures wtp facet.

      For examples see docs for `EclipseWtpFacet`

    - #### facet

          public void facet​(Action<? super EclipseWtpFacet> action)

      Configures wtp facet.

      For examples see docs for `EclipseWtpFacet`

      Since:
        3.5